# Asterisk Project : Asterisk 13 Function_STACK_PEEK

Created by wikibot on Aug 08, 2014

# STACK_PEEK()

### Synopsis

View info about the location which called Gosub

### Description

Read the calling {{c}}ontext, {{e}}xtension, {{p}}riority, or {{l}}abel, as specified by which, by going up n frames in the Gosub stack. If suppress is true, then if the number of available stack frames is exceeded, then no error message will be printed.

### Syntax

    STACK_PEEK(n,which[,suppress])

##### Arguments

- `n`
- `which`
- `suppress`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538